

<script>

import { fountains } from './fountains'
export default fountains;

</script>


<template>
	<lounge #default="{ palette }">	
		<s_panel>
			<h2
				:style="{
					textAlign: 'center'
				}"
			>Measured Ingredients</h2>
			<p
				:style="{
					textAlign: 'center',
					margin: '10px 0'
				}"
			>This includes every measured ingredient reported by United States Department of Agriculture (USDA).</p>
			
			<div
				:style="{
					margin: '0 auto',
					maxWidth: '900px',
					width: '100%',
					
					textAlign: 'right'
				}"
			>
				<div
					:style="{
						margin: '10px 0',
						display: 'inline-block',
						textAlign: 'right'
					}"
				>
					<s_select 
						name="amount"
						preselected_option="per package"
						:options="[
							'per package'
						]"
						:change="(function (option) { console.log (option) })"
					/>
				</div>
			</div>
		
			<table
				:style="{
					margin: '0 auto',
					maxWidth: '900px',
					width: '100%',
					borderCollapse: 'separate', // 'collapse'
					borderSpacing: 0,
					fontSize: '1em',
					fontFamily: 'monospaced'
				}"
			>
				<thead>
					<tr :style="{ fontSize: '.8em' }">
						<td
							:style="{ 
								// textAlign: 'center', 
								// width: '100px', 
								padding: '4px 8px' 
							}"
						>name</td>
						<td 
							:style="{ 
								// textAlign: 'center', 
								// width: '100px', 
								padding: '4px 8px' 
							}"
						>listed amount</td>
					</tr>
				</thead>
				<tbody>
					<tr
						v-for="(ingredient, index) in linear_grove"
						:style="{
							
						}"
					>	
						<td
							:style="{
								padding: '0.1cm',
								
								...(
									index != linear_grove.length - 1 ? 
									{ borderBottom: '1px solid ' + palette [4] } :
									{}
								),
								
								verticalAlign: 'middle'
							}"
						>
							<span
								:style="{
									display: 'block',
									paddingLeft: ((ingredient.indent + 0) * 30).toString () + 'px',
									wordBreak: 'break-word'
								}"
							>{{ name_1 (ingredient) }}</span>
						</td>
						<td
							:style="{
								...(
									index != linear_grove.length - 1 ? 
									{ borderBottom: '1px solid ' + palette [4] } :
									{}
								),
							}"
						>
							<span
								:style="{
									display: 'block',
									paddingLeft: ((ingredient.indent + 0) * 30).toString () + 'px',
									wordBreak: 'break-word',
									fontFamily: 'monospace',
									fontSize: '1.3em'
								}"
							>
								<component 
									:is="listed_amount (ingredient).component"
									v-bind="listed_amount (ingredient).props" 
								/>
							</span>
						</td>
					</tr>
				</tbody>
			</table>
		</s_panel>
	</lounge>
</template>